Bug 1772770 - Review Request: beanstalk-client - C/C++ client for the beanstalkd work queue
Summary: Review Request: beanstalk-client - C/C++ client for the beanstalkd work queue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-15 06:43 UTC by Dan Callaghan
Modified: 2020-07-09 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-02 01:11:45 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Dan Callaghan 2019-11-15 06:43:53 UTC
Spec URL: https://fedorapeople.org/~dcallagh/beanstalk-client/beanstalk-client.spec
SRPM URL: https://fedorapeople.org/~dcallagh/beanstalk-client/beanstalk-client-1.4.0-1.fc32.src.rpm
Description: A simple, blocking C/C++ client library for the beanstalkd work queue.
Fedora Account System Username: dcallagh

Comment 1 Robert-André Mauchin 🐧 2019-12-10 16:36:28 UTC
 - Try to get a real LICENSE file from upstream

 - In order to avoid unannounced soname bump we forbid globbing the major soname version, be more specific instead:

%{_libdir}/libbeanstalk.so.1*



Package approved. Please fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License". 22
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/beanstalk-client/review-beanstalk-
     client/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: beanstalk-client-1.4.0-1.fc32.x86_64.rpm
          beanstalk-client-devel-1.4.0-1.fc32.x86_64.rpm
          beanstalk-client-debuginfo-1.4.0-1.fc32.x86_64.rpm
          beanstalk-client-debugsource-1.4.0-1.fc32.x86_64.rpm
          beanstalk-client-1.4.0-1.fc32.src.rpm
beanstalk-client.x86_64: W: spelling-error Summary(en_US) beanstalkd -> beanstalks, beanstalk, beanstalk d
beanstalk-client.x86_64: W: spelling-error %description -l en_US beanstalkd -> beanstalks, beanstalk, beanstalk d
beanstalk-client-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Dan Callaghan 2019-12-29 22:55:30 UTC
(In reply to Robert-André Mauchin from comment #1)
>  - Try to get a real LICENSE file from upstream

Sorry, I'm not sure what you mean by this. I'm pretty sure upstream considers the debian/copyright file to be the authoritative copy of the license in the source tree, even though it's tucked away in a "debian" subdirectory. For example when the author changed the license to BSD they updated the debian/copyright file as well:
https://github.com/deepfryed/beanstalk-client/commit/e35c1cf568e92bdde3bc9ae44d1b05fc1f0344c5

There's no reason the file has to be named LICENSE or anything, is there?

Comment 3 Dan Callaghan 2020-05-18 07:21:32 UTC
I tried to request the repo for this package but fedpkg request-repo won't let me because this was approved more than 60 days ago. Oops. :-(

I will fix the soname glob as suggested, but I was intending to leave the license as is (using the debian/copyright file from upstream).

If you have no objections, could you please re-set the fedora-review+ flag and I will import the package.

Comment 4 Robert-André Mauchin 🐧 2020-06-19 11:48:37 UTC
(In reply to Dan Callaghan from comment #3)
> I tried to request the repo for this package but fedpkg request-repo won't
> let me because this was approved more than 60 days ago. Oops. :-(
> 
> I will fix the soname glob as suggested, but I was intending to leave the
> license as is (using the debian/copyright file from upstream).
> 
> If you have no objections, could you please re-set the fedora-review+ flag
> and I will import the package.

Revalidated. Please import as soon as possible.

Comment 5 Gwyn Ciesla 2020-06-22 20:35:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/beanstalk-client

Comment 6 Fedora Update System 2020-06-23 23:32:47 UTC
FEDORA-2020-1e12af7db7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1e12af7db7

Comment 7 Fedora Update System 2020-06-23 23:32:48 UTC
FEDORA-EPEL-2020-21e508ade2 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-21e508ade2

Comment 8 Fedora Update System 2020-06-24 00:54:28 UTC
FEDORA-2020-cf5db9c5df has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-cf5db9c5df \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cf5db9c5df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-06-24 01:02:11 UTC
FEDORA-2020-1e12af7db7 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-1e12af7db7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1e12af7db7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-24 01:15:46 UTC
FEDORA-EPEL-2020-21e508ade2 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-21e508ade2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-07-02 01:11:45 UTC
FEDORA-2020-1e12af7db7 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-07-02 01:58:36 UTC
FEDORA-2020-cf5db9c5df has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-07-09 01:18:29 UTC
FEDORA-EPEL-2020-21e508ade2 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.